[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DoMouseWheelRight

Handles a mouse wheel scroll right message for the control.

## Declaration

Source position: grids.pas line 1040

`protected function TCustomGrid.DoMouseWheelRight(`
`Shift: TShiftState;`
`MousePos: TPoint`
`):Boolean; override;`

## Arguments

`Shift` |  | Shift, Alt, Ctrl modifier for the mouse wheel action.
`MousePos` |  | TPoint instance with the coordinates for the mouse pointer.

## Function result

True if the mouse wheel message is handled in the method.

## Description

DoMouseWheelRight is an overridden method in TCustomGrid which handles a horizontal mouse wheel scroll message towards the right of the grid control. DoMouseWheelRight is called from the inherited DoMouseWheelHorz method when an unhandled scroll wheel message with a positive WheelDelta value occurs.

DoMouseWheelRight calls the inherited method on entry to signal the OnMouseWheelRight event handler (when assigned). The return value is set to True if the message is handled in the method.

If the message is not handled in the inherited method, the GridMouseWheel method is called using the ssCtrl modifier and the current mouse position as arguments. This is the equivalent of a Ctrl+MouseWheelDown message. The return value is set to True when the message is handled in this manner.

See DoMouseWheelLeft for the actions performed for a Ctrl+MouseWheelUp scroll message.

Use MouseWheelOption to specify whether mouse wheel operations are applied to the grid cursor (selection / editing) or the visible area for the control.

## See also

TControl.DoMouseWheelRight |  | Signals the OnMouseWheelRight event handler.